smolbote(1)

# NAME

smolbote - yet another no-frills web browser

# SYNOPSIS

*poi* [options] [command/URL(s)]

# DESCRIPTION

smolbote is a cross-platform keep-it-simple free software web browser that
uses Qt and QtWebEngine.

# USAGE

## Command-line options
- `-h`, `--help`: Display command-line options list.
- `-v`, `--version`: Display version information.
- `--build`: Display build commit.
- `-c`, `--config`: Set configuration file.
- `--no-remote`: Don't check for other instances when starting.
- `-s, --session`: Open the selected session.
- `--pick-session`: Open all available sessions and select which one to open.

## Profiles
A Profile is a collection of settings, policies, scripts, cookies, cache and
history. Profiles can be used to isolate pages from each other.

Off-the-record profiles only use in-memory cache and save no files to disk.

Profiles can be either temporary or permanent. Temporary profiles expire when
the application is closed, whereas permanent profiles are kept between runs.

Each window has a default profile it uses when opening new tabs. This can be
changed from the window's menu. Additionally, tabs can have their profiles
individually changed from their context menu.

Because profiles store all their data separately, you can log in into the same
site with a different account from each profile. However, links opened into new
tabs will still use the subwindow's default profile. For example, you can set a
profile to hold login information for a site, but all new tabs opened from that
site would still be using the default off-the-record profile.

## Plugins
Plugins a way of extending smolbote's functionality using the Qt plugin system.
They are not to be confused with NPAPI/PPAPI or WebExtension plugins.

To enable a plugin either copy it or symlink it in the plugins.path location,
or set its absolute path as the plugins.path.

## Filters
smolbote has a singular URL request filter that is installed onto all profiles.
Any setting applied to it will be applied to all profiles.

filter.header: A list of header-value pairs, separated by a colon (':').

You can specify multiple headers by using --filter.header multiple times:
```
poi --filter.header "Dnt:1" --filter.header "Accept:text/html"
```

# SEE ALSO

*smolbote*(5) - configuration file and options

# AUTHORS

Maintained by <aqua@iserlohn-fortress.net>.

Up-to-date sources can be found at https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote

Bug reports and patches can be submitted by email to <aqua@iserlohn-fortress.net>.

# COPYRIGHT

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License version 3 as
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
