smolbote(5) "smolbote configuration"

# NAME

smolbote - configuration file and options description

# DESCRIPTION

The smolbote configuration is loaded at startup, and is not reloaded when
changed. By default (without any plugins), the browser does not change its
configuration or overwrite this file. Thus, it can be made read-only.

The settings in this file change your preferences and keybindings.

Lines starting with *#* are considered comments and ignored.

Options taking multiple values (list options) can have multiple values set by
using the same option name multiple times.

# SECTIONS

## Browser Options

*browser.stylesheet* (arg):: TODO

*browser.iconTheme* (arg)::
Set arg as icon theme.

*browser.locale* (arg)::
Set Qt localization. This will translate Qt strings, such as the dialog buttons.
For possible values see `/usr/share/qt/translations`.

*browser.translation* (arg)::
Set browser localization. This will translate the rest of the browser. For
possible values, see `install-root/share/smolbote/lang`.

*browser.session.path* (arg=~/.config/smolbote/session.d)::
Location where browser sessions should be saved and loaded from by default.

*plugins.path* (arg=~/.config/smolbote/plugins.d)::
Location where plugins should be loaded from.

*bookmarks.path* (arg=~/.config/smolbote/bookmarks.xbel)::
Default bookmarks location.
*bookmarks.shortcut* (arg=Ctrl+B)::
Show/Hide bookmakrs widget shortcut.

*downloads.path* (arg=~/Downloads)::
Default downloads location.
*downloads.shortcut* (arg=Ctrl+D)::
Show/Hide downloads widget shortcut.

## UI Options

*mainwindow.height* (arg=720)
*mainwindow.width* (arg=1280)
*mainwindow.maximized* (arg=1):: Default window size and maximize toggle.

*mainwindow.title* (arg=smolbote):: Default window title.

*mainwindow.shortcuts.saveSession* (arg=Ctrl+S,S):: Save Session shortcut
*mainwindow.shortcuts.openSession* (arg=Ctrl+S,O):: Open Session shortcut
*mainwindow.shortcuts.newGroup* (arg=Ctrl+G):: New Group shortcut (subwindow)
*mainwindow.shortcuts.newWindow* (arg=Ctrl+N):: New Window shortcut
*mainwindow.shortcuts.about* (arg=F1):: About dialog shortcut
*mainwindow.shortcuts.quit* (arg=Ctrl+Q):: Quit shortcut
*mainwindow.shortcuts.search* (arg=F3):: Search in page shortcut
*mainwindow.shortcuts.tileWindows* (arg=F9):: Tile subwindows shortcut
*mainwindow.shortcuts.cascadeWindows* (arg=F10):: Cascade subwindows shortcut

*navigation.movable* (arg=0):: Make navigation bar movable
*navigation.shortcuts.back* (arg=Ctrl+Left):: Back shortcut
*navigation.shortcuts.backMenu* (arg=Ctrl+Down):: Back menu shortcut
*navigation.shortcuts.forward* (arg=Ctrl+Right):: Forward shortcut
*navigation.shortcuts.forwardMenu* (arg=Ctrl+Up):: Forward menu shortcut
*navigation.shortcuts.refresh* (arg=F5):: Refresh shortcut
*navigation.shortcuts.reload* (arg=Ctrl+F5):: Reload shortcut
*navigation.shortcuts.home* (arg=Ctrl+Home):: Home shortcut

*addressbar.shortcuts.focus* (arg=F4):: Focus on the address
*addressbar.shortcuts.menu* (arg=F2):: Show addressbar menu

*subwindow.shortcuts.menu* (arg=Ctrl+M):: Show subwindow menu
*subwindow.shortcuts.new* (arg=Ctrl+T):: Create new tab shortcut
*subwindow.shortcuts.close* (arg=Ctrl+X):: Close tab shortcut
*subwindow.shortcuts.restoreTab* (arg=Ctrl+Shift+T):: Restore last closed tab
*subwindow.shortcuts.left* (arg=Ctrl+O):: Move to tab on the left
*subwindow.shortcuts.moveLeft* (arg=Ctrl+Shift+O):: Move tab to the left
*subwindow.shortcuts.right* (arg=Ctrl+P):: Move to tab on the right
*subwindow.shortcuts.moveRight* (arg=Ctrl+Shift+P):: Move tab to the right
*subwindow.shortcuts.fullscreen* (arg=F11):: Show page fullscreen

## Security Options

*filter.hosts* (arg=~/.config/smolbote/hosts.d):: Hostlist
*filter.adblock* arg:: TODO
*filter.header* (list)::
A list of HTTP headers to set. Each header should be given as a colon-separated
name:value pair.

*profile.default* (arg):: Default browser profile
*profile.path* (arg=~/.config/smolbote/profiles.d):: Profile location
*profile.search* (arg=`https://duckduckgo.com/?q=%1&ia=web`)::
Default search engine. %1 is replaced by the search term.
*profile.homepage* (arg=`about:blank`):: Default homepage
*profile.newtab* (arg=`about:blank`):: Default new tab page
