/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://library.iserlohn-fortress.net/aqua/smolbote.git
 *
 * SPDX-License-Identifier: MIT
 */

#pragma once

#include <QtPlugin>
#include <QHash>
#include <memory>
#include <functional>
#include <QApplication>

typedef QHash<QString, std::function<int()>> CommandHash_t;

class QDialog;
class PluginInterface
{
public:
    virtual ~PluginInterface() = default;
    virtual CommandHash_t commands() = 0;
    virtual QDialog *createWidget(QWidget *parent = nullptr) const = 0;
};

#define PluginInterfaceIid "net.iserlohn-fortress.smolbote.PluginInterface"
Q_DECLARE_INTERFACE(PluginInterface, PluginInterfaceIid)
