/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://library.iserlohn-fortress.net/aqua/smolbote.git
 *
 * SPDX-License-Identifier: MIT
 */

#ifndef SMOLBOTE_SESSION_HPP
#define SMOLBOTE_SESSION_HPP

#include <QByteArray>
#include <QString>
#include <QStringList>
#include <QVector>

class [[nodiscard]] Session
{
public:
    struct WebView {
        QString profile;
        QString url;
        QByteArray history;
    };

    struct SubWindow {
        QString profile;
        QVector<WebView> tabs;
    };

    struct MainWindow {
        QVector<SubWindow> subwindows;
    };

    virtual ~Session() = default;

    [[nodiscard]] virtual QByteArray serialize() const = 0;
    [[nodiscard]] virtual QVector<MainWindow> get() const = 0;
};

#endif // SMOLBOTE_SESSION_HPP
