/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#ifndef BOOKMARKFORMAT_H
#define BOOKMARKFORMAT_H

class QIODevice;
class BookmarkItem;

enum BookmarkFormats {
    XbelFormat,
    FirefoxJsonFormat
};

template <BookmarkFormats format>
class BookmarkFormat
{
public:
    explicit BookmarkFormat(QIODevice *device)
    {
        m_device = device;
    }

    void read(BookmarkItem *root) const;
    void write(const BookmarkItem *root);

protected:
    QIODevice *m_device;
};

#endif // BOOKMARKSFORMAT_H
