/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#ifndef SMOLBOTE_DOWNLOADDIALOG_H
#define SMOLBOTE_DOWNLOADDIALOG_H

#include <QDialog>
#include <QWebEngineDownloadItem>

namespace Ui
{
class DownloadDialog;
}

class DownloadsWidget : public QDialog
{
    Q_OBJECT

public:
    explicit DownloadsWidget(const QString &downloadPath, QWidget *parent = nullptr);
    ~DownloadsWidget() override;

public slots:
    void addDownload(QWebEngineDownloadItem *item);

private:
    Ui::DownloadDialog *ui;
    const QString m_downloadPath;
};

#endif // SMOLBOTE_DOWNLOADDIALOG_H
