/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#ifndef SMOLBOTE_DOWNLOADITEMFORM_H
#define SMOLBOTE_DOWNLOADITEMFORM_H

#include <QWebEngineDownloadItem>
#include <QWidget>

namespace Ui
{
class DownloadItemForm;
}

class DownloadItemWidget : public QWidget
{
    Q_OBJECT

public:
    explicit DownloadItemWidget(QWebEngineDownloadItem *item, QWidget *parent = 0);
    ~DownloadItemWidget() override;

private slots:
    void updateState(QWebEngineDownloadItem::DownloadState state);
    void updateProgress(qint64 value, qint64 total);
    void updateFinished();

private:
    Ui::DownloadItemForm *ui;
    QWebEngineDownloadItem *item = nullptr;
};

#endif // SMOLBOTE_DOWNLOADITEMFORM_H
