/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://library.iserlohn-fortress.net/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#ifndef SESSION_JSON_HPP
#define SESSION_JSON_HPP

#include <QJsonObject>
#include <session.hpp>

class JsonSession : public Session
{
public:
    explicit JsonSession() = default;
    JsonSession(const JsonSession &) = default;
    JsonSession(JsonSession &&) = default;
    JsonSession &operator=(const JsonSession &) = delete;
    JsonSession &operator=(JsonSession &&) = delete;

    explicit JsonSession(const QByteArray &data);
    explicit JsonSession(const QVector<MainWindow> &windows);
    JsonSession(const QString &profile, const QStringList &urls);
    ~JsonSession() override = default;

    [[nodiscard]] QByteArray serialize() const override;
    [[nodiscard]] QVector<MainWindow> get() const override;

private:
    const QJsonObject root;
};

#endif // SESSION_JSON_HPP
