/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#include <QUrl>
#include <QString>
#include <utility>
#include <QWebEngineUrlRequestInfo>

#ifndef SMOLBOTE_URLFILTER_FILTER
#define SMOLBOTE_URLFILTER_FILTER

class UrlFilter
{
public:
    enum MatchResult {
        NotMatched,
        Allow,
        Block,
        Redirect
    };

    enum MatchType {
        InvalidMatch,
        RegularExpressionMatch,
        StringContains,
        StringStartsWith,
        StringEndsWith,
        StringEquals,
        DomainMatch
    };

    virtual ~UrlFilter() = default;

    virtual QString metadata(const QString &key) const = 0;
    virtual std::pair<MatchResult, QString> match(const QUrl &firstParty, const QUrl &requestUrl, QWebEngineUrlRequestInfo::ResourceType type) const = 0;
};

#endif // SMOLBOTE_URLFILTER_FILTER
