/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#ifndef PROFILEMANAGERDIALOG_H
#define PROFILEMANAGERDIALOG_H

#include <QDialog>
#include <QVector>
#include <profileinterface.h>
#include "ui_profilemanagerdialog.h"

class WebProfile;
class QListWidgetItem;
class ProfileManagerDialog : public QDialog
{
    Q_OBJECT

    friend class ProfileEditorPlugin;

public:
    explicit ProfileManagerDialog(QWidget *parent = 0);
    ~ProfileManagerDialog() override;

public slots:
    void addProfile(const QString &id, Profile *profile);

private slots:
    void showProfile(QListWidgetItem *item);

private:
    Ui::ProfileManagerDialog *ui;
};

#endif // PROFILEMANAGERDIALOG_H
