/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#ifndef PROFILEDIALOG_H
#define PROFILEDIALOG_H

#include <QWidget>
#include <QNetworkCookie>
#include <QWebEngineSettings>

namespace Ui
{
class ProfileView;
}

class Profile;
class QWebEngineCookieStore;
class QCheckBox;

class ProfileView : public QWidget
{
    Q_OBJECT

public:
    explicit ProfileView(Profile *profile, QWidget *parent = nullptr);
    ~ProfileView() override;

private slots:
    void loadCookies(QWebEngineCookieStore *store);

    void headerChanged(const QString &name, const QString &value);
    void headerRemoved(const QString &name);

    void cookieAdded(const QNetworkCookie &cookie);
    void cookieRemoved(const QNetworkCookie &cookie);

private:
    Ui::ProfileView *ui;
    Profile *m_profile;
};

#endif // PROFILEDIALOG_H
