/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#ifndef SMOLBOTE_COMPLETER_H
#define SMOLBOTE_COMPLETER_H

#include <QListView>
#include <QStringListModel>
#include <QTreeWidgetItem>

class Completer : public QListView
{

    Q_OBJECT

public:
    explicit Completer(QWidget *parent = nullptr);

    bool updateItems(const QStringList &list);

    bool keyPressed(QKeyEvent *event);

signals:
    void completionActivated(const QString &url);

private:
    QStringListModel *completionModel = nullptr;
};

#endif //SMOLBOTE_COMPLETER_H
